=== debian/changelog ===
ros-indigo-hardware-interface (0.9.7-0trusty) trusty; urgency=high

  * Introduce shared_ptr typedefs
  * Contributors: Bence Magyar

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 18 May 2018 23:00:00 -0000

ros-indigo-hardware-interface (0.9.6-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 15 Apr 2018 23:00:00 -0000

ros-indigo-hardware-interface (0.9.5-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 25 Mar 2018 23:00:00 -0000

ros-indigo-hardware-interface (0.9.4-0trusty) trusty; urgency=high

  * Fix doSwitch execution point
    The doSwitch method needs to be executed in the update() method,  that is, in
    the real-time path, which is where controller switching actually takes place.
    It was previously done in the switchController callback, which is non real-time.
    In this method controller switching is scheduled, but not actually executed.
    This changeset fixes a bug in which hardware interface  modes could switch
    before controllers, leading to undefined behavior.
  * Introduce prepareSwitch, replacement of canSwitch
    RobotHW::prepareSwitch is intended as a substitute for RobotHW::canSwitch.
    The main reasons for the change are a non-const signature to allow
    changing state and a more descriptive name.
    RobotHW::canSwitch will be deprecated in a later ROS distro.
  * Address -Wunused-parameter warnings
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Fri, 12 Feb 2016 00:00:00 -0000

ros-indigo-hardware-interface (0.9.3-0trusty) trusty; urgency=high



 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 04 May 2015 23:00:00 -0000

ros-indigo-hardware-interface (0.9.2-0trusty) trusty; urgency=high

  * Add HW interface switch feature
  * Contributors: Mathias Lüdtke

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Sun, 03 May 2015 23:00:00 -0000

ros-indigo-hardware-interface (0.9.1-0trusty) trusty; urgency=high

  * Update package maintainers
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Adolfo Rodriguez Tsouroukdissian <adolfo.rodriguez@pal-robotics.com>  Mon, 03 Nov 2014 00:00:00 -0000

ros-indigo-hardware-interface (0.9.0-0trusty) trusty; urgency=high

  * Add PosVel and PosVelAcc command interfaces
  * Documentation fixes
  * Contributors: Igorec, shadowmanos

 -- Wim Meeussen <wim@hidof.com>  Fri, 31 Oct 2014 00:00:00 -0000

ros-indigo-hardware-interface (0.8.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Tue, 24 Jun 2014 23:00:00 -0000

ros-indigo-hardware-interface (0.8.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 23 Jun 2014 23:00:00 -0000

ros-indigo-hardware-interface (0.8.0-0trusty) trusty; urgency=high

  * Fix doc typo.
  * Remove rosbuild artifacts. Fix #154 <https://github.com/ros-controls/ros_control/issues/154>.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Wim Meeussen <wim@hidof.com>  Sun, 11 May 2014 23:00:00 -0000

ros-indigo-hardware-interface (0.7.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 31 Mar 2014 23:00:00 -0000

ros-indigo-hardware-interface (0.7.1-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 30 Mar 2014 23:00:00 -0000

ros-indigo-hardware-interface (0.7.0-0trusty) trusty; urgency=high

  * Add ResourceHandle typedef
  * add name to anonymous objects to avoid cppcheck error
  * Contributors: Daniel Pinyol, Igorec

 -- Wim Meeussen <wim@hidof.com>  Fri, 28 Mar 2014 00:00:00 -0000

ros-indigo-hardware-interface (0.6.0-0trusty) trusty; urgency=high

  * Update interface_manager.h
    Trivial doc fix
  * Add raw data accessors to actuators interface.
    Write access to the raw actuator data will be needed for automatic transmission
    loading.
  * Fix doc typo.
  * Migrate RobotHW class to use InterfaceManager.
  * Factor out interface management parts of RobotHW.
    - Interface management is needed in the transmission_interface package as well.
    - Add new InterfaceManager internal class, with tests.
    - RobotHW remains untouched.
  * Contributors: Adolfo Rodriguez Tsouroukdissian

 -- Wim Meeussen <wim@hidof.com>  Wed, 05 Feb 2014 00:00:00 -0000

ros-indigo-hardware-interface (0.5.8-0trusty) trusty; urgency=high

  * Renamed manifest.xml to prevent conflicts with rosdep
  * Move from postfix to prefix increment in loops.
    Detected by cppcheck 'postfixOperator' warning.
  * CMakeLists fix to fit with OpenEmbedded/Yocto meta-ros layer.
    Increase the compatibility of the ros_control code with
    meta-ros, an OpenEmbedded/Yocto layer that provides recipes for ROS
    packages disabling catking checking the variable CATKIN_ENABLE_TESTING.

 -- Wim Meeussen <wim@hidof.com>  Thu, 10 Oct 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.7-0trusty) trusty; urgency=high

  * Updated changelogs
  * Author/maintainer list update.

 -- Wim Meeussen <wim@hidof.com>  Mon, 29 Jul 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.6-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 28 Jul 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.5-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.4-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Mon, 22 Jul 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.3-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.2-0trusty) trusty; urgency=high



 -- Wim Meeussen <wim@hidof.com>  Sun, 21 Jul 2013 23:00:00 -0000

ros-indigo-hardware-interface (0.5.1-0trusty) trusty; urgency=high

  * Typo fix


